Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.43
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.juli.logging
Interface Log

    public interface Log

A simple logging interface abstracting logging APIs. In order to be instantiated successfully by `LogFactory`, classes that implement this interface must have a constructor that takes a single String parameter representing the "name" of this Log.

The six logging levels used by `Log` are (in order):

1. trace (the least serious)
2. debug
3. info
4. warn
5. error
6. fatal (the most serious)

The mapping of these log levels to the concepts used by the underlying logging system is implementation dependent. The implemention should ensure, though, that this ordering behaves as expected.

Performance is often a logging concern. By examining the appropriate property, a component can avoid expensive operations (producing information to be logged).

For example, ``

        if (log.isDebugEnabled()) {
            ... do something expensive ...
            log.debug(theResult);
        }

Configuration of the underlying logging system will generally be done external to the Logging APIs, through whatever mechanism is supported by that system.

Author:
  Scott Sanders, Rod Waldhoff

Method Summary
`void` | `debug(java.lang.Object message)` Log a message with debug log level.
`void` | `debug(java.lang.Object message, java.lang.Throwable t)` Log an error with debug log level.
`void` | `error(java.lang.Object message)` Log a message with error log level.
`void` | `error(java.lang.Object message, java.lang.Throwable t)` Log an error with error log level.
`void` | `fatal(java.lang.Object message)` Log a message with fatal log level.
`void` | `fatal(java.lang.Object message, java.lang.Throwable t)` Log an error with fatal log level.
`void` | `info(java.lang.Object message)` Log a message with info log level.
`void` | `info(java.lang.Object message, java.lang.Throwable t)` Log an error with info log level.
`boolean` | `isDebugEnabled()` Is debug logging currently enabled?
`boolean` | `isErrorEnabled()` Is error logging currently enabled?
`boolean` | `isFatalEnabled()` Is fatal logging currently enabled?
`boolean` | `isInfoEnabled()` Is info logging currently enabled?
`boolean` | `isTraceEnabled()` Is trace logging currently enabled?
`boolean` | `isWarnEnabled()` Is warn logging currently enabled?
`void` | `trace(java.lang.Object message)` Log a message with trace log level.
`void` | `trace(java.lang.Object message, java.lang.Throwable t)` Log an error with trace log level.
`void` | `warn(java.lang.Object message)` Log a message with warn log level.
`void` | `warn(java.lang.Object message, java.lang.Throwable t)` Log an error with warn log level.

Method Detail

### isDebugEnabled

    boolean isDebugEnabled()

  Is debug logging currently enabled?

  Call this method to prevent having to perform expensive operations (for example, `String` concatenation) when the log level is more than debug.

### isErrorEnabled

    boolean isErrorEnabled()

  Is error logging currently enabled?

  Call this method to prevent having to perform expensive operations (for example, `String` concatenation) when the log level is more than error.

### isFatalEnabled

    boolean isFatalEnabled()

  Is fatal logging currently enabled?

  Call this method to prevent having to perform expensive operations (for example, `String` concatenation) when the log level is more than fatal.

### isInfoEnabled

    boolean isInfoEnabled()

  Is info logging currently enabled?

  Call this method to prevent having to perform expensive operations (for example, `String` concatenation) when the log level is more than info.

### isTraceEnabled

    boolean isTraceEnabled()

  Is trace logging currently enabled?

  Call this method to prevent having to perform expensive operations (for example, `String` concatenation) when the log level is more than trace.

### isWarnEnabled

    boolean isWarnEnabled()

  Is warn logging currently enabled?

  Call this method to prevent having to perform expensive operations (for example, `String` concatenation) when the log level is more than warn.

### trace

    void trace(java.lang.Object message)

  Log a message with trace log level.

  Parameters:
    `message` - log this message

### trace

    void trace(java.lang.Object message,
               java.lang.Throwable t)

  Log an error with trace log level.

  Parameters:
    `message` - log this message
    `t` - log this cause

### debug

    void debug(java.lang.Object message)

  Log a message with debug log level.

  Parameters:
    `message` - log this message

### debug

    void debug(java.lang.Object message,
               java.lang.Throwable t)

  Log an error with debug log level.

  Parameters:
    `message` - log this message
    `t` - log this cause

### info

    void info(java.lang.Object message)

  Log a message with info log level.

  Parameters:
    `message` - log this message

### info

    void info(java.lang.Object message,
              java.lang.Throwable t)

  Log an error with info log level.

  Parameters:
    `message` - log this message
    `t` - log this cause

### warn

    void warn(java.lang.Object message)

  Log a message with warn log level.

  Parameters:
    `message` - log this message

### warn

    void warn(java.lang.Object message,
              java.lang.Throwable t)

  Log an error with warn log level.

  Parameters:
    `message` - log this message
    `t` - log this cause

### error

    void error(java.lang.Object message)

  Log a message with error log level.

  Parameters:
    `message` - log this message

### error

    void error(java.lang.Object message,
               java.lang.Throwable t)

  Log an error with error log level.

  Parameters:
    `message` - log this message
    `t` - log this cause

### fatal

    void fatal(java.lang.Object message)

  Log a message with fatal log level.

  Parameters:
    `message` - log this message

### fatal

    void fatal(java.lang.Object message,
               java.lang.Throwable t)

  Log an error with fatal log level.

  Parameters:
    `message` - log this message
    `t` - log this cause

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.43
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2014 Apache Software Foundation. All Rights Reserved.